Subject: Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors

From: Jakub Kicinski <[email-masked]>
Date: Sat, 13 Jul 2024 15:46:14 -0700

On Fri, 12 Jul 2024 12:00:15 +0200 Matthieu Baerts (NGI0) wrote:
> It looks like we missed these two errors recently:
> 
>   - SC2068: Double quote array expansions to avoid re-splitting elements.
>   - SC2145: Argument mixes string and array. Use * or separate argument.
> 
> Two simple fixes, it is not supposed to change the behaviour as the
> variable names should not have any spaces in their names. Still, better
> to fix them to easily spot new issues.
> 
> Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
> Signed-off-by: Matthieu Baerts (NGI0) <[email-masked]>

Speaking of MPTCP tests - I added the connect test to ignored today.
Too many failures :(